ej_intext.c
#include <pic/p16f877a.h>
#define FOSC_HZ 20000000
#include <pinio.h>
#include <delayms.h>
#include <interrupt.h>
BYTE bandera=0;
void funcion_con_mucho_codigo(void)
 {
    //codigo
    bandera=0;
 }
ISR_MAIN(funcion_interrupcion_global)
 {
    if(int_ext_flag()==TRUE)
      {
        bandera=1;
        int_ext_free_flag();
      }
 }
int main (void)
 {
    delayms(100);
    enable_int_ext(L_TO_H);
    enable_int_global();
    set_pullup_portb(TRUE);
    while(TRUE)
      {
        if(bandera==1) funcion_con_mucho_codigo();
      }
    disable_int_ext();
    return 0;
 }
